/***************************************************************************
  *   copyright       : (C) 2006-2011 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QApplication>
#include <QTranslator>
#include <QFontDatabase>

#include "pstplus.h"

int main(int argc, char *argv[])
{
QApplication app(argc, argv);
QTranslator* basicTranslator=new QTranslator();
#if defined( Q_WS_X11 )
#ifdef USB_VERSION
QString transdir=QCoreApplication::applicationDirPath();
#else
QString transdir=PREFIX"/share/pstplus";
#endif
#endif
#if defined( Q_WS_MACX )
QString transdir=QCoreApplication::applicationDirPath() + "/../Resources";
#endif
#if defined(Q_WS_WIN)
QString transdir=QCoreApplication::applicationDirPath();
#endif
if (basicTranslator->load(QString("qt_fr"),transdir)) app.installTranslator(basicTranslator);
QFontDatabase::applicationFontFamilies(QFontDatabase::addApplicationFont(":/documents/LiberationMono-Regular.ttf"));
MainWindow *main=new MainWindow();
main->show();
QString arg = app.argv()[1];
if ( arg[0] != '-' )    main->Ouvrir( arg );
return app.exec();
}
